Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QObject

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QObject class reference

### Public Functions

- const char * className () const
- void insertChild ( QObject * object )
- bool isA ( const char * classname ) const
- const char * name () const
- const char * name ( const char * defaultName ) const
- void removeChild ( QObject * object )
- void setName ( const char * name )

### Protected Functions

- bool checkConnectArgs ( const char * signal, const QObject * object, const char * member )

### Static Protected Members

- QByteArray normalizeSignalSlot ( const char * signalSlot )

## Member Function Documentation

### bool QObject::checkConnectArgs ( const char * signal, const QObject * object, const char * member ) `[protected]`

Use QMetaObject::checkConnectArgs() instead.

### const char * QObject::className () const

Use metaObject()->className() instead.

### void QObject::insertChild ( QObject * object )

Use setParent() instead, i.e., call object->setParent(this).

### bool QObject::isA ( const char * classname ) const

Compare with the object's metaObject()->className() instead.

### const char * QObject::name () const

Use objectName() instead.

### const char * QObject::name ( const char * defaultName ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use objectName() instead.

### QByteArray QObject::normalizeSignalSlot ( const char * signalSlot ) `[static protected]`

Use QMetaObject::normalizedSignature() instead.

### void QObject::removeChild ( QObject * object )

Use setParent() instead, i.e., call object->setParent(0).

### void QObject::setName ( const char * name )

Use setObjectName() instead.